	if RequiredScript == "lib/tweak_data/weaponfactorytweakdata" then
    Hooks:PostHook(WeaponFactoryTweakData, "init", "LMG_Steelsights_Init", function(self)
	
	local lmg_table = {
		"wpn_fps_lmg_rpk",
		"wpn_fps_lmg_hk21",
		"wpn_fps_lmg_m249",
		"wpn_fps_lmg_par",
		"wpn_fps_lmg_mg42"
		}
	for index, weapon_id in ipairs(lmg_table) do
		if not self[weapon_id].adds then
			self[weapon_id].adds = {}
		end
		if not self[weapon_id].override then
			self[weapon_id].override = {}
		end
	end
--RPK
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk = {translation = Vector3(-0,-0,-3)}
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_fc1.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_uh.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)
	self.parts.wpn_fps_upg_o_bmg.stance_mod.wpn_fps_lmg_rpk = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_rpk)	
	
  	local rpk_stance_mod_override_table = {
		"wpn_fps_upg_o_ak_scopemount",
		"wpn_fps_upg_ak_fg_trax",
	    "wpn_fps_upg_ak_fg_krebs"
	}
	for index, part_id in ipairs(rpk_stance_mod_override_table) do
	    if not self.wpn_fps_lmg_rpk.override[part_id] then
			self.wpn_fps_lmg_rpk.override[part_id] = {}
		end
	end	
	self.wpn_fps_lmg_rpk.override.wpn_fps_upg_o_ak_scopemount.override = {
			wpn_fps_upg_ak_fg_trax = {override = {}},
			wpn_fps_upg_ak_fg_krebs = {override = {}},
			wpn_fps_upg_o_specter = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -4.6)
					}
				}
			},
			wpn_fps_upg_o_aimpoint = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -4.6)
					},
					
				}
			},
			wpn_fps_upg_o_aimpoint_2 = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -4.6)
					}
				}
			},
			wpn_fps_upg_o_docter = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -4.6)
					}
				}
			},
			wpn_fps_upg_o_eotech = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -4.6)
					}
				}
			},
			wpn_fps_upg_o_t1micro = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -4.6)
					}
				}
			},
			wpn_fps_upg_o_cmore = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -4.6)
					}
				}
			},
			wpn_fps_upg_o_cs = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -4.6)
					}
				}
			},
			wpn_fps_upg_o_eotech_xps = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -4.6)
					}
				}
			},
			wpn_fps_upg_o_reflex = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -4.6)
					}
				}
			},
			wpn_fps_upg_o_rx01 = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -4.6)
					}
				}
			},
			wpn_fps_upg_o_rx30 = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -4.6)
					}
				}
			},
			wpn_fps_upg_o_acog = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 6, -4.6)
					}
				}
			},
			wpn_fps_upg_o_spot = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -4.6)
					}
					
				}
			},
			wpn_fps_upg_o_bmg = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 10, -4.6)
					}
					
				}
			},
			wpn_fps_upg_o_uh = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -4.6)
					}
					
				}
			},
			wpn_fps_upg_o_fc1 = {
				a_obj = "a_o_sm",
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -4.6)
					}
					
				}
			},
			wpn_fps_upg_o_xpsg33_magnifier = {
				stance_mod = {
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 10, -4.6)
					}
					
				}
			}
		}
    table.map_append(self.parts.wpn_fps_upg_ak_fg_trax, {
		 override = {
			wpn_fps_upg_o_specter = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_aimpoint = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_aimpoint_2 = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_docter = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_eotech = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_t1micro = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_cmore = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_acog = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 6, -3.8)
					}
				}
			},
			wpn_fps_upg_o_cs = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_eotech_xps = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_reflex = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_rx01 = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_rx30 = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_spot = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_fc1 = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_spot = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_bmg = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 6, -3.8)
					}
				}
			},
			wpn_fps_upg_o_xpsg33_magnifier = {
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 6, -3.8)
					}
				}
			}
		}})
    table.map_append(self.parts.wpn_fps_upg_ak_fg_krebs, {
		 override = {
			wpn_fps_upg_o_specter = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_aimpoint = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_aimpoint_2 = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_docter = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_eotech = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_t1micro = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_cmore = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_acog = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 6, -3.8)
					}
				}
			},
			wpn_fps_upg_o_cs = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_eotech_xps = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_reflex = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_rx01 = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_rx30 = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			
			wpn_fps_upg_o_spot = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_uh = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},wpn_fps_upg_o_fc1 = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 0, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 0, -3.8)
					}
				}
			},
			wpn_fps_upg_o_bmg = {
				a_obj = "a_o_krebs",
				stance_mod = {
					wpn_fps_ass_74 = {
						translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_lmg_rpk = {
						translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_ass_akm = {
						translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_ass_akm_gold = {
						translation = Vector3(0, 6, -3.8)
					}
				}
			},
			wpn_fps_upg_o_xpsg33_magnifier = {
				stance_mod = {
					wpn_fps_ass_74 = {translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_lmg_rpk = {translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_ass_akm = {translation = Vector3(0, 6, -3.8)
					},
					wpn_fps_ass_akm_gold = {translation = Vector3(0, 6, -3.8)}
				}
			}
		}})
	
	--Brenner
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_hk21 = {translation = Vector3(0,-0,-3.2)}
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_lmg_hk21 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_hk21)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_lmg_hk21 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_hk21)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_lmg_hk21 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_hk21)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_lmg_hk21 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_hk21)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_lmg_hk21 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_hk21)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_lmg_hk21 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_hk21)
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_lmg_hk21 = {translation = Vector3(0,3,-3.2)}
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_lmg_hk21 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_hk21)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_lmg_hk21 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_hk21)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_lmg_hk21 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_hk21)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_lmg_hk21 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_hk21)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_lmg_hk21 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_hk21)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_lmg_hk21 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_hk21)
	self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_lmg_hk21 = {translation = Vector3(0,6,-3.2)}
	self.parts.wpn_fps_upg_o_uh.stance_mod.wpn_fps_lmg_hk21 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_hk21)
	self.parts.wpn_fps_upg_o_fc1.stance_mod.wpn_fps_lmg_hk21 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_hk21)
	self.parts.wpn_fps_upg_o_bmg.stance_mod.wpn_fps_lmg_hk21 = {translation = Vector3(0,6,-3.2)}	
	--m249
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_m249 = {translation = Vector3(0,-3,-3.4)}
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_lmg_m249 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_m249)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_lmg_m249 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_m249)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_lmg_m249 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_m249)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_lmg_m249 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_m249)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_lmg_m249 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_m249)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_lmg_m249 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_m249)
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_lmg_m249 = {translation = Vector3(0,0,-3.4)}
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_lmg_m249 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_m249)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_lmg_m249 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_m249)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_lmg_m249 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_m249)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_lmg_m249 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_m249)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_lmg_m249 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_m249)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_lmg_m249 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_m249)
	self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_lmg_m249 = {translation = Vector3(0,1,-3.4)}
	self.parts.wpn_fps_upg_o_uh.stance_mod.wpn_fps_lmg_m249 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_m249)
	self.parts.wpn_fps_upg_o_fc1.stance_mod.wpn_fps_lmg_m249 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_m249)
	self.parts.wpn_fps_upg_o_bmg.stance_mod.wpn_fps_lmg_m249 = {translation = Vector3(0,1,-3.4)}
	--par
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par = {translation = Vector3(0,8,-3.2)}
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_uh.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_fc1.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)
	self.parts.wpn_fps_upg_o_bmg.stance_mod.wpn_fps_lmg_par = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_par)	
	--Buzzsaw	
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_mg42 = {translation = Vector3(0,8,-2.4)}
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_lmg_mg42 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_mg42)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_lmg_mg42 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_mg42)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_lmg_mg42 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_mg42)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_lmg_mg42 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_mg42)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_lmg_mg42 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_mg42)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_lmg_mg42 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_mg42)
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_lmg_mg42 = {translation = Vector3(0.2,10,-2.4)}
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_lmg_mg42 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_mg42)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_lmg_mg42 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_mg42)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_lmg_mg42 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_mg42)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_lmg_mg42 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_mg42)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_lmg_mg42 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_mg42)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_lmg_mg42 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_mg42)
	self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_lmg_mg42 = {translation = Vector3(0,13,-2.4)}
	self.parts.wpn_fps_upg_o_uh.stance_mod.wpn_fps_lmg_mg42 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_mg42)
	self.parts.wpn_fps_upg_o_fc1.stance_mod.wpn_fps_lmg_mg42 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_mg42)
	self.parts.wpn_fps_upg_o_bmg.stance_mod.wpn_fps_lmg_mg42 = {translation = Vector3(0,13,-2.4)}
	
	self.wpn_fps_lmg_mg42.override.wpn_fps_lmg_mg42_b_vg38 = { 
		stance_mod = {wpn_fps_lmg_mg42 = { translation = Vector3( 0, 3, 2.1)}}
	}
	self.wpn_fps_lmg_mg42.override.wpn_fps_lmg_mg42_b_vg38.override = {
			wpn_fps_upg_o_specter = {			
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0,10,-4.5)
					}
				}
			},
			wpn_fps_upg_o_aimpoint = {			
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0,10,-4.5)
					},
					
				}
			},
			wpn_fps_upg_o_aimpoint_2 = {				
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0,10,-4.5)
					}
				}
			},
			wpn_fps_upg_o_docter = {				
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0,10,-4.5)
					}
				}
			},
			wpn_fps_upg_o_eotech = {			
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0,10,-4.5)
					}
				}
			},
			wpn_fps_upg_o_t1micro = {				
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0,10,-4.5)
					}
				}
			},
			wpn_fps_upg_o_cmore = {
				
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0,10,-4.5)
					}
				}
			},
			wpn_fps_upg_o_cs = {			
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0,10,-4.5)
					}
				}
			},
			wpn_fps_upg_o_eotech_xps = {				
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0,10,-4.5)
					}
				}
			},
			wpn_fps_upg_o_reflex = {			
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0,10,-4.5)
					}
				}
			},
			wpn_fps_upg_o_rx01 = {			
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0,10,-4.5)
					}
				}
			},
			wpn_fps_upg_o_rx30 = {			
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0,10,-4.5)
					}
				}
			},
			wpn_fps_upg_o_acog = {			
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0, 13, -4.5)
					}
				}
			},
			wpn_fps_upg_o_spot = {	
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0,10,-4.5)
					}
					
				}
			},
			wpn_fps_upg_o_uh = {			
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0,10,-4.5)
					}
				}
			},
			wpn_fps_upg_o_bmg = {			
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0, 13, -4.5)
					}
				}
			},
			wpn_fps_upg_o_fc1 = {	
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0,10,-4.5)
					}
					
				}
			},
			wpn_fps_upg_o_xpsg33_magnifier = {
				stance_mod = {
					wpn_fps_lmg_mg42 = {
						translation = Vector3(0, 13, -4.5)
					}
					
				}
			}
		}
	
	
	self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_specter = {
		"wpn_fps_ak_extra_ris"
	}
    self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_aimpoint = {
		"wpn_fps_ak_extra_ris"
	}
    self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_aimpoint_2 = {
		"wpn_fps_ak_extra_ris"
	}
    self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_docter = {
		"wpn_fps_ak_extra_ris"
	}
    self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_eotech = {
		"wpn_fps_ak_extra_ris"
	}
    self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_t1micro = {
		"wpn_fps_ak_extra_ris"
	}
    self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_cmore = {
		"wpn_fps_ak_extra_ris"
	}
    self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_acog = {
		"wpn_fps_ak_extra_ris"
	}
    self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_cs = {
		"wpn_fps_ak_extra_ris"
	}
    self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_eotech_xps = {
		"wpn_fps_ak_extra_ris"
	}
    self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_reflex = {
		"wpn_fps_ak_extra_ris"
	}
    self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_rx01 = {
		"wpn_fps_ak_extra_ris"
	}
    self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_rx30 = {
		"wpn_fps_ak_extra_ris"
    }
    self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_spot = {
		"wpn_fps_ak_extra_ris"		    
    }
	 self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_bmg = {
		"wpn_fps_ak_extra_ris"
	}
    self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_uh = {
		"wpn_fps_ak_extra_ris"
    }
    self.wpn_fps_lmg_rpk.adds.wpn_fps_upg_o_fc1 = {
		"wpn_fps_ak_extra_ris"		    
    }
	
	self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_specter = {
		"wpn_fps_ass_g3_body_rail"
	}
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_aimpoint = {
		"wpn_fps_ass_g3_body_rail"
	}
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_aimpoint_2 = {
		"wpn_fps_ass_g3_body_rail"
	}
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_docter = {
		"wpn_fps_ass_g3_body_rail"
	}
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_eotech = {
		"wpn_fps_ass_g3_body_rail"
	}
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_t1micro = {
		"wpn_fps_ass_g3_body_rail"
	}
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_cmore = {
		"wpn_fps_ass_g3_body_rail"
	}
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_acog = {
		"wpn_fps_ass_g3_body_rail"
	}
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_cs = {
		"wpn_fps_ass_g3_body_rail"
	}
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_eotech_xps = {
		"wpn_fps_ass_g3_body_rail"
	}
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_reflex = {
		"wpn_fps_ass_g3_body_rail"
	}
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_rx01 = {
		"wpn_fps_ass_g3_body_rail"
	}
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_rx30 = {
		"wpn_fps_ass_g3_body_rail"
    }
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_spot = {
		"wpn_fps_ass_g3_body_rail"		    
    }
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_uh = {
		"wpn_fps_ass_g3_body_rail"
	}
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_fc1 = {
		"wpn_fps_ass_g3_body_rail"
    }
    self.wpn_fps_lmg_hk21.adds.wpn_fps_upg_o_bmg = {
		"wpn_fps_ass_g3_body_rail"		    
    }		

	self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_specter = {
		"wpn_fps_rpg7_sight_adapter"
	}
    self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_aimpoint = {
		"wpn_fps_rpg7_sight_adapter"
	}
    self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_aimpoint_2 = {
		"wpn_fps_rpg7_sight_adapter"
	}
    self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_docter = {
		"wpn_fps_rpg7_sight_adapter"
	}
    self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_eotech = {
		"wpn_fps_rpg7_sight_adapter"
	}
    self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_t1micro = {
		"wpn_fps_rpg7_sight_adapter"
	}
    self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_cmore = {
		"wpn_fps_rpg7_sight_adapter"
	}
    self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_acog = {
		"wpn_fps_rpg7_sight_adapter"
	}
    self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_cs = {
		"wpn_fps_rpg7_sight_adapter"
	}
    self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_eotech_xps = {
		"wpn_fps_rpg7_sight_adapter"
	}
    self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_reflex = {
		"wpn_fps_rpg7_sight_adapter"
	}
    self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_rx01 = {
		"wpn_fps_rpg7_sight_adapter"
	}
    self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_rx30 = {
		"wpn_fps_rpg7_sight_adapter"
    }
    self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_spot = {
		"wpn_fps_rpg7_sight_adapter"		    
    }
	self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_uh = {
		"wpn_fps_rpg7_sight_adapter"
	}
    self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_fc1 = {
		"wpn_fps_rpg7_sight_adapter"
    }
    self.wpn_fps_lmg_mg42.adds.wpn_fps_upg_o_bmg = {
		"wpn_fps_rpg7_sight_adapter"		    
    }
--RPK
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_aimpoint_2")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_spot")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_xpsg33_magnifier")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_ak_scopemount")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_bmg")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_uh")
table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_o_fc1")
--KSP
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_aimpoint_2")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_spot")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_xpsg33_magnifier")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_bmg")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_uh")
table.insert(self.wpn_fps_lmg_m249.uses_parts, "wpn_fps_upg_o_fc1")
--Buzzsaw
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_aimpoint_2")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_spot")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_xpsg33_magnifier")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_bmg")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_uh")
table.insert(self.wpn_fps_lmg_mg42.uses_parts, "wpn_fps_upg_o_fc1")
--Brenner
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_aimpoint_2")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_spot")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_xpsg33_magnifier")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_bmg")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_uh")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_upg_o_fc1")
--KSP58
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_aimpoint_2")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_spot")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_xpsg33_magnifier")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_bmg")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_uh")
table.insert(self.wpn_fps_lmg_par.uses_parts, "wpn_fps_upg_o_fc1")
	end)
end	